## xiphos 3.1.5+dfsg

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os, os.path
import intltool
import string
import Utils
import Options
import ccroot
import preproc
preproc.go_absolute=1
preproc.strict_quotes=0

import waffles.misc
import waffles.gnome as gnome

bzrrevno = '$CurRevno$'
bzrrevid = '$CurRevid$'

VERSION='3.1.5'

APPNAME='xiphos'
PACKAGE='xiphos'
srcdir = '.'
blddir = 'build'

_tooldir = './waffles/'
ROOTDIR_WIN32 = 'C:\msys'
_headers = '''
dlfcn.h
inttypes.h
locale.h
memory.h
stdint.h
stdlib.h
strings.h
string.h
sys/stat.h
sys/types.h
unistd.h
sys/select.h
sys/socket.h
winsock.h
'''.split()
def set_options(opt):

    opt.tool_options('g++ gcc')

    maingroup = opt.add_option_group('Main Xiphos Options')

    maingroup.add_option('--gtk',
                   action='store', default='auto', dest='gtkver',
                   choices=['auto', '3', '2'],
                   help="Select gtk+ API ['auto', '3', '2']")

    maingroup.add_option('--backend',
                   action='store', default='auto', dest='backend',
                   choices=['auto', 'webkit', 'xulrunner', 'gtkhtml'],
                   help="Select rendering backend ['auto', 'webkit', 'xulrunner', 'gtkhtml']")

    miscgroup = opt.add_option_group('Miscellaneous Options')

    miscgroup.add_option('-d', '--debug-level',
                action = 'store',
		default = ccroot.DEBUG_LEVELS.ULTRADEBUG,
		help = "Specify the debugging level ['ultradebug', 'debug', 'release', 'optimized']",
		choices = ['ultradebug', 'debug', 'release', 'optimized'],
		dest = 'debug_level')

    miscgroup.add_option('--strip', action='store_true', default=False,
                    help='Strip resulting binary')

    miscgroup.add_option('--enable-delint', action='store_true', default=False,
            dest='delint',
            help='Use -Wall -Werror [default: disabled]')

    miscgroup.add_option('--disable-dbus',
                   action = 'store_true',
                   default = False,
                   help = "Disable the Xiphos dbus API [default: enabled]",
                   dest = 'without_dbus')

    ### cross compilation from Linux/Unix for win32

    w32 = opt.add_option_group ('Windows and Cross-compile Options', '')

    w32.add_option('--target-platform-win32', action='store_true', default=False,
            dest='cross_win32',
            help='Cross-compile for win32 [default: disabled]')

    w32.add_option('--disable-console',
            action='store_true',
            default=False,
            help='Disable console window in win32 [default: enabled]',
            dest='no_console')

    # FIXME - handle this option
    #w32.add_option('--rootdir',
		#action = 'store',
		#help = 'Specify path where resides msys. This dir is used for finding libraries and other files',
		#dest = 'rootdir')

    w32.add_option('--pkgconf-libdir',
		action = 'store',
		default = os.path.join(ROOTDIR_WIN32, 'local', 'lib', 'pkgconfig'),
		help = "Specify dir with *.pc files for cross-compilation",
		dest = 'pkg_conf_libdir')

    w32.add_option('--pkgconf-prefix',
		action = 'store',
		default = os.path.join(ROOTDIR_WIN32, 'local'),
		help = "Specify prefix with folders for headers and libraries for cross-compilation",
		dest = 'pkg_conf_prefix')

    w32.add_option('--mozilla-distdir',
		action = 'store',
		default = os.path.join(ROOTDIR_WIN32, 'local'),
		help = "Folder 'dist' in unpacked mozilla devel tarball. Mandatory for win32 compilation",
		dest = 'mozilla_distdir')

    ######### end of windows options.

    group = opt.add_option_group ('Localization and documentation')
    group.add_option('--helpdir',
                     action = 'store',
                     default = '${DATAROOTDIR}/gnome/help/${PACKAGE}',
                     help = "user documentation [default: ${DATAROOTDIR}/gnome/help/${PACKAGE}]",
                     dest = 'helpdir')
    group.add_option('--disable-help',
                     action='store_true',
                    default=False,
                     help='Disable creating help files',
                     dest='disable_help')
    group.add_option('--no-post-install',
                   action = 'store_false',
                   default = True,
                   help = "Disable post-install tasks",
                   dest = 'post_install')

    deprecated_group = opt.add_option_group ('Deprecated options')

    deprecated_group.add_option('--enable-gtkhtml',
                   action='store_const', const='gtkhtml', dest='backend',
                   help='Use gtkhtml rendering backend [deprecated by --backend gtkhtml]')

    deprecated_group.add_option('--enable-webkit',
                   action='store_const', const='webkit', dest='backend',
                   help='Use gtk-webkit backend [deprecated by --backend webkit]')

    deprecated_group.add_option('--enable-gtk2',
                   action='store_const', const='2', dest='gtkver',
                   help='Use gtk2 API [deprecated by --gtk=2]')

def configure(conf):

    opt = Options.options
    dfn = conf.define
    env = conf.env

    platform = Utils.detect_platform()
    env['IS_WIN32'] = platform == 'win32'
    env['IS_LINUX'] = platform == 'linux'

    env['IS_CROSS_WIN32'] = Options.options.cross_win32

    # cross-compilation for Windows
    # behave mostly like on windows platform
    if env['IS_CROSS_WIN32']:
        env['IS_WIN32'] = True
        env['IS_LINUX'] = False
        Utils.pprint('CYAN', "Cross-compilation")
        env['CROSS'] = os.environ['CROSS']

    # IS_WIN32 means compiling for win32, not compiling necessary on win32
    if env['IS_WIN32']:
        Utils.pprint('CYAN', "Windows detected")
    elif env['IS_LINUX']:
        Utils.pprint('CYAN', "Linux detected")

    if not (env['IS_LINUX'] or env['IS_WIN32']):
        Utils.pprint('RED', "Assuming %s is UNIX like platform" % platform)
        env['IS_LINUX'] = True

    ## temporary HACKS for win32
    #if env['IS_WIN32']:
    #    env['PREFIX'] = conf.escpath(os.path.abspath('win32/binaries/Xiphos'))

    if env['IS_WIN32']:
        env['ROOTDIR'] = ROOTDIR_WIN32

    conf.check_tool('nothreads', tooldir=_tooldir)
    conf.check_tool('g++ gcc')
    # cross compiler
    if env['IS_CROSS_WIN32']:
        conf.check_tool('cross_linux_win32', tooldir=_tooldir)
  
    conf.check_tool('gnu_dirs misc')
    conf.check_tool('intltool')

    env['DISABLE_HELP'] = opt.disable_help

    if not opt.disable_help:
        if env['IS_LINUX']:
            conf.check_tool('gnome', tooldir=_tooldir)
        else:
            conf.check_tool('documentation', tooldir=_tooldir) # stuff to create help files

    # DATADIR is defined by intltool in config.h - conflict in win32 (mingw)
    conf.undefine('DATADIR')

    env['POST_INSTALL']=opt.post_install

    # delint flags
    env['CXXFLAGS_DELINT'] = ['-Werror', '-Wall']
    env['CCFLAGS_DELINT'] = ['-Werror', '-Wall', '-Wmissing-prototypes',
                             '-Wnested-externs', '-Wpointer-arith', '-Wno-sign-compare']

    # gcc compiler debug levels
    # msvc has levels predefined
    if env['CC_NAME'] == 'gcc':
        env['CCFLAGS_SAFE']       = env['CCFLAGS']
        env['CCFLAGS']            = []
        env['CCFLAGS_OPTIMIZED']  = ['-O2']
        env['CCFLAGS_RELEASE']    = ['-O2']
        env['CCFLAGS_DEBUG']      = ['-g', '-DDEBUG']
        env['CCFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG']

    if env['CXX_NAME'] == 'gcc':
        env['CXXFLAGS_SAFE']       = env['CXXFLAGS']
        env['CXXFLAGS']            = []
        env['CXXFLAGS_OPTIMIZED']  = ['-O2']
        env['CXXFLAGS_RELEASE']    = ['-O2']
        env['CXXFLAGS_DEBUG']      = ['-g', '-DDEBUG', '-ftemplate-depth-25']
        env['CXXFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG', '-ftemplate-depth-25']
    
    if env['IS_WIN32']:
        ## setup for Winsock on Windows (required for read-aloud)
        conf.check(lib='ws2_32', uselib='WSOCK', mandatory=True)
        conf.check(lib='shell32', uselib='SHELLAPI', mandatory=True)
        # this isn't supposed to be necessary
        env['LINKFLAGS'] = ['-lws2_32']
        dfn('WIN32', 1)
        # mozilla distdir mandatory for win32 for using libxul
        if opt.mozilla_distdir:
            env['MOZILLA_DISTDIR'] = opt.mozilla_distdir
        else:
            env['MOZILLA_DISTDIR'] = '%s/../..' % env['PKG_CONFIG_LIBDIR']
        # tool to link icon with executable
        # use tool modified for cross-compilation support
        env['POST_INSTALL']=False
        conf.check_tool('winres', tooldir=_tooldir)
        # the following line does not work because of a problem with waf
        # conf.check_tool('intltool')
        #env['POCOM'] = conf.find_program('msgfmt')
        #env['INTLTOOL'] = '/usr/local/bin/intltool-merge'
    
    if env['IS_CROSS_WIN32']:
        # allows to use linux pkg-config for cross-compilation
        os.environ['PKG_CONFIG_PATH'] = opt.pkg_conf_libdir
        env['PKG_CONFIG_PREFIX'] = opt.pkg_conf_prefix

    # Auto detecting gtk version, if none were specified.
    if opt.gtkver == 'auto':
            if conf.check_cfg(modversion='libgtkhtml-4.0', okmsg='ok',
                              msg='Auto detecting gtk 3'):
                    opt.gtkver = '3'
            else:
                    conf.check_cfg(modversion='libgtkhtml-3.14', okmsg='ok',
                                   msg='Auto detecting gtk 2', mandatory=True)
                    opt.gtkver = '2'

    # Auto detecting backed if none were specified
    if opt.backend == 'auto':
            webkit = 'webkitgtk-3.0' if opt.gtkver == '3' else 'webkit-1.0'
            if conf.check_cfg(modversion=webkit, msg='Auto detecting webkit', okmsg='ok',
                              erromsg='Not found'):
                    opt.backend = 'webkit'

            elif conf.check_cfg(modversion='libxul-embedding', msg='Auto detecting xulrunner', okmsg='ok',
                              erromsg='Not found'):
                    opt.backend = 'xulrunner'

            else:
                    gtkhtml = 'libgtkhtml-4.0' if opt.gtkver == '3' else 'libgtkhtml-3.14'
                    conf.check_cfg(modversion=gtkhtml, msg='Auto detecting gtkhtml', okmsg='ok',
                                   erromsg='Not found', mandatory=True)
                    opt.backend = 'gtkhtml'

    #gtk
    if opt.gtkver == '2':
        env['ENABLE_GTK2'] = True
        dfn('GTK2', 1)

    # gtkhtml
    if opt.backend == 'webkit':
	env['ENABLE_WEBKIT'] = True
	dfn('WEBKIT', 1)

    if opt.backend == 'gtkhtml':
        env['ENABLE_GTKHTML'] = True
        dfn('GTKHTML', 1)

    # disable console window in win32
    if opt.no_console and env['IS_WIN32']:
        env.append_value('LINKFLAGS', '-mwindows')

    # strip xiphos binary
    if env['IS_CROSS_WIN32']:
        env['STRIP'] = conf.find_program(env['CROSS'] + 'strip', mandatory=True)
    else:
        env['STRIP'] = conf.find_program('strip', mandatory=True)

    if (not env['IS_LINUX']) and (opt.debug_level in ['release','optimized']):
        env['TO_STRIP'] = True
    else:
        env['TO_STRIP'] = opt.strip

    if not opt.without_dbus:
        conf.check_pkg('dbus-glib-1', '0.60', True, var='DBUS')
        # we need a modified version of dbus.py for running on windows
        conf.check_tool('dbus', tooldir=_tooldir)
    
    conf.check_tool('glib2')

    ### App info, paths
    define = conf.define
    sub = Utils.subst_vars

    env['VERSION'] = VERSION
    env['APPNAME'] = APPNAME
    env['PACKAGE'] = PACKAGE
    env['HELPDIR'] = sub(opt.helpdir, env)

    define('VERSION', VERSION)
    define('PACKAGE_VERSION', VERSION)
    define('GETTEXT_PACKAGE', PACKAGE)
    define('PACKAGE', PACKAGE)
    define('PACKAGE_NAME', APPNAME)
    define('PACKAGE_STRING', '%s %s' % (APPNAME, VERSION))
    define('PACKAGE_TARNAME', PACKAGE)

    define('INSTALL_PREFIX', conf.escpath(sub('${PREFIX}/', env)))
    #dfn('LT_OBJDIR', '.libs') - what's the purpose?

=== editkit/wscript ===
#! /usr/bin/env python
# encoding: utf-8

VERSION = '0.0.1'
APPNAME = 'editkit'

srcdir = '.'
blddir = 'build'

def set_options(opt):
	opt.tool_options('compiler_cc')

def configure(conf):
	conf.check_tool('compiler_cc cc vala')
	conf.check_cfg(package='glib-2.0', uselib_store='GLIB', atleast_version='2.12.0', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='gtk+-2.0', uselib_store='GTK', atleast_version='2.12.0', mandatory=1, args='--cflags --libs')
	conf.check_cfg(package='webkit-1.0', uselib_store='WEBKIT', mandatory=1, args='--cflags --libs')	

def build(bld):
	obj = bld.new_task_gen(
		features = 'cc cprogram',
		packages = 'gtk+-2.0 webkit-1.0',
		source='editkit.vala',
		target = 'editkit',
		uselib = 'GTK GLIB WEBKIT',
		threading=True,
		)

def run(ctx):
    '''run editkit from build directory'''
    import os, subprocess
    subprocess.call(os.path.join(blddir,'default/editkit'))

=== debian/changelog ===
xiphos (3.1.5+dfsg-1build3) quantal; urgency=low

  * No-change rebuild for new gtkhtml4.0 dependency update.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Sep 2012 10:32:58 -0600

xiphos (3.1.5+dfsg-1build2) quantal; urgency=low

  * No-change rebuild for libgtkhtml dependency update, again as previous
    one was not uploaded into -proposed, but libgtkhtml has now
    transitioned into release pocket. (LP: #1022908)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 10 Jul 2012 17:17:18 -0600

xiphos (3.1.5+dfsg-1build1) quantal; urgency=low

  * No-change rebuild for libgtkhtml dependency update.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 20:12:08 +0400

xiphos (3.1.5+dfsg-1) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]  
  * New upstream release.
  * Build using webkit backend
  * Contains unpacked source for waf binary (Closes: #654511)
  * Update debian/copyright to latest specification

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 11 Mar 2012 18:43:32 +0000

xiphos (3.1.4-3) unstable; urgency=low

  [ Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com> ]
  * Drop xulrunner, use gtkhtml instead. (Closes: #631049) (LP: #756201)
  * Drop quilt dependency (daily ppa converts 3.0 quilt format to 3.0 native)
  * Bump policy to 3.9.2, no changes required.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sat, 25 Jun 2011 00:18:28 +0100

=== debian/control ===
Source: xiphos
Build-Depends: debhelper (>= 7.0.50~),
               libsword-dev (>=1.5.11),
               gsettings-desktop-schemas-dev | gconf2-common,
               rarian-compat,
               libgtkhtml-4.0-dev | libgtkhtml3.14-dev,
               libgtkhtml-editor-4.0-dev | libgtkhtml-editor-3.14-dev | libgtkhtml-editor-dev | gtkhtml3.14,
               libwebkitgtk-3.0-dev | libwebkitgtk-dev,
	       libgtkhtml-4.0-0 | libglade2-dev,
	       libgconf2-dev,
               gnome-doc-utils,
               intltool,
	       libdbus-glib-1-dev,
	       libgsf-1-dev,
               libxml2-dev
Section: gnome
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Dmitrijs Ledkovs <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.3
Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
Vcs-Browser: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main/files
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos-data (= ${source:Version})
Replaces: xiphos-data
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xiphos (= ${binary:Version}),
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: debug symbols for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains debugging symbols that are necessary to procude
 stacktraces of Xiphos.

Package: xiphos-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.

=== debian/rules ===
#!/usr/bin/make -f
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)

%:
	dh $@
override_dh_auto_configure:
	./waf configure --nocache --prefix=/usr
override_dh_auto_build:
	./waf build --nocache
override_dh_auto_install:
	./waf install --nocache --destdir=debian/tmp
override_dh_install:
	dh_install --list-missing
override_dh_strip:
	dh_strip --dbg-package=xiphos-dbg
override_dh_auto_clean:
	./waf distclean --nocache
override_dh_clean:
	find . -name '*.pyc' -delete
	dh_clean
override_dh_builddeb:
	dh_builddeb $(if $(ppa),-- -Zlzma)

=== debian/watch ===
version=3
opts="uversionmangle=s/\%2B/\+/" \
https://launchpad.net/xiphos/+download https://launchpad.net/xiphos/.*/xiphos-(.*)\.tar\.bz2

## xiphos 3.2.2+dfsg1

=== wscript ===
--- 
+++ 
@@ -17,7 +17,7 @@
 bzrrevno = '$CurRevno$'
 bzrrevid = '$CurRevid$'
 
-VERSION='3.1.5'
+VERSION='3.2.2'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -53,11 +53,6 @@
                    choices=['auto', '3', '2'],
                    help="Select gtk+ API ['auto', '3', '2']")
 
-    maingroup.add_option('--backend',
-                   action='store', default='auto', dest='backend',
-                   choices=['auto', 'webkit', 'xulrunner', 'gtkhtml'],
-                   help="Select rendering backend ['auto', 'webkit', 'xulrunner', 'gtkhtml']")
-
     miscgroup = opt.add_option_group('Miscellaneous Options')
 
     miscgroup.add_option('-d', '--debug-level',
@@ -74,6 +69,10 @@
             dest='delint',
             help='Use -Wall -Werror [default: disabled]')
 
+    miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
+            dest='webkit_editor',
+            help='Use webkit editor [default: disabled]')
+			
     miscgroup.add_option('--disable-dbus',
                    action = 'store_true',
                    default = False,
@@ -94,12 +93,6 @@
             help='Disable console window in win32 [default: enabled]',
             dest='no_console')
 
-    # FIXME - handle this option
-    #w32.add_option('--rootdir',
-		#action = 'store',
-		#help = 'Specify path where resides msys. This dir is used for finding libraries and other files',
-		#dest = 'rootdir')
-
     w32.add_option('--pkgconf-libdir',
 		action = 'store',
 		default = os.path.join(ROOTDIR_WIN32, 'local', 'lib', 'pkgconfig'),
@@ -111,12 +104,6 @@
 		default = os.path.join(ROOTDIR_WIN32, 'local'),
 		help = "Specify prefix with folders for headers and libraries for cross-compilation",
 		dest = 'pkg_conf_prefix')
-
-    w32.add_option('--mozilla-distdir',
-		action = 'store',
-		default = os.path.join(ROOTDIR_WIN32, 'local'),
-		help = "Folder 'dist' in unpacked mozilla devel tarball. Mandatory for win32 compilation",
-		dest = 'mozilla_distdir')
 
     ######### end of windows options.
 
@@ -137,20 +124,6 @@
                    help = "Disable post-install tasks",
                    dest = 'post_install')
 
-    deprecated_group = opt.add_option_group ('Deprecated options')
-
-    deprecated_group.add_option('--enable-gtkhtml',
-                   action='store_const', const='gtkhtml', dest='backend',
-                   help='Use gtkhtml rendering backend [deprecated by --backend gtkhtml]')
-
-    deprecated_group.add_option('--enable-webkit',
-                   action='store_const', const='webkit', dest='backend',
-                   help='Use gtk-webkit backend [deprecated by --backend webkit]')
-
-    deprecated_group.add_option('--enable-gtk2',
-                   action='store_const', const='2', dest='gtkver',
-                   help='Use gtk2 API [deprecated by --gtk=2]')
-
 def configure(conf):
 
     opt = Options.options
@@ -171,7 +144,7 @@
         Utils.pprint('CYAN', "Cross-compilation")
         env['CROSS'] = os.environ['CROSS']
 
-    # IS_WIN32 means compiling for win32, not compiling necessary on win32
+    # IS_WIN32 means compiling for win32, not necessarily compiling on win32
     if env['IS_WIN32']:
         Utils.pprint('CYAN', "Windows detected")
     elif env['IS_LINUX']:
@@ -180,10 +153,6 @@
     if not (env['IS_LINUX'] or env['IS_WIN32']):
         Utils.pprint('RED', "Assuming %s is UNIX like platform" % platform)
         env['IS_LINUX'] = True
-
-    ## temporary HACKS for win32
-    #if env['IS_WIN32']:
-    #    env['PREFIX'] = conf.escpath(os.path.abspath('win32/binaries/Xiphos'))
 
     if env['IS_WIN32']:
         env['ROOTDIR'] = ROOTDIR_WIN32
@@ -237,14 +206,10 @@
         ## setup for Winsock on Windows (required for read-aloud)
         conf.check(lib='ws2_32', uselib='WSOCK', mandatory=True)
         conf.check(lib='shell32', uselib='SHELLAPI', mandatory=True)
+        conf.check(lib='rpcrt4', uselib='RPCRT4', mandatory=True)
         # this isn't supposed to be necessary
-        env['LINKFLAGS'] = ['-lws2_32']
+        env['LINKFLAGS'] = ['-lws2_32', '-lrpcrt4']
         dfn('WIN32', 1)
-        # mozilla distdir mandatory for win32 for using libxul
-        if opt.mozilla_distdir:
-            env['MOZILLA_DISTDIR'] = opt.mozilla_distdir
-        else:
-            env['MOZILLA_DISTDIR'] = '%s/../..' % env['PKG_CONFIG_LIBDIR']
         # tool to link icon with executable
         # use tool modified for cross-compilation support
         env['POST_INSTALL']=False
@@ -261,44 +226,22 @@
 
     # Auto detecting gtk version, if none were specified.
     if opt.gtkver == 'auto':
-            if conf.check_cfg(modversion='libgtkhtml-4.0', okmsg='ok',
-                              msg='Auto detecting gtk 3'):
-                    opt.gtkver = '3'
-            else:
-                    conf.check_cfg(modversion='libgtkhtml-3.14', okmsg='ok',
-                                   msg='Auto detecting gtk 2', mandatory=True)
-                    opt.gtkver = '2'
-
-    # Auto detecting backed if none were specified
-    if opt.backend == 'auto':
-            webkit = 'webkitgtk-3.0' if opt.gtkver == '3' else 'webkit-1.0'
-            if conf.check_cfg(modversion=webkit, msg='Auto detecting webkit', okmsg='ok',
-                              erromsg='Not found'):
-                    opt.backend = 'webkit'
-
-            elif conf.check_cfg(modversion='libxul-embedding', msg='Auto detecting xulrunner', okmsg='ok',
-                              erromsg='Not found'):
-                    opt.backend = 'xulrunner'
-
-            else:
-                    gtkhtml = 'libgtkhtml-4.0' if opt.gtkver == '3' else 'libgtkhtml-3.14'
-                    conf.check_cfg(modversion=gtkhtml, msg='Auto detecting gtkhtml', okmsg='ok',
-                                   erromsg='Not found', mandatory=True)
-                    opt.backend = 'gtkhtml'
-
+        if conf.check_cfg(modversion="gtk+-3.0", okmsg='ok',
+                          msg='Auto detecting gtk 3'):
+            opt.gtkver = '3'
+        else:
+            conf.check_cfg(modversion="gtk+-2.0", okmsg='ok',
+                           msg='Auto detecting gtk 2', mandatory=True)
+            opt.gtkver = '2'
+
+    # TODO are these still needed?
+    env['ENABLE_WEBKIT'] = True
+    dfn('WEBKIT', 1) 
+    
     #gtk
     if opt.gtkver == '2':
         env['ENABLE_GTK2'] = True
         dfn('GTK2', 1)
-
-    # gtkhtml
-    if opt.backend == 'webkit':
-	env['ENABLE_WEBKIT'] = True
-	dfn('WEBKIT', 1)
-
-    if opt.backend == 'gtkhtml':
-        env['ENABLE_GTKHTML'] = True
-        dfn('GTKHTML', 1)
 
     # disable console window in win32
     if opt.no_console and env['IS_WIN32']:
@@ -341,3 +284,59 @@
 
     define('INSTALL_PREFIX', conf.escpath(sub('${PREFIX}/', env)))
     #dfn('LT_OBJDIR', '.libs') - what's the purpose?
+    define('PACKAGE_BUGREPORT','http://sourceforge.net/tracker/?group_id=5528&atid=105528' )
+    define('PACKAGE_DATA_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
+    define('PACKAGE_DOC_DIR', conf.escpath(env['DOCDIR']))
+    define('PACKAGE_HELP_DIR', conf.escpath(sub('${DATAROOTDIR}/gnome/help/${PACKAGE}', env)))
+    define('PACKAGE_LOCALE_DIR', conf.escpath(env['LOCALEDIR']))
+    define('PACKAGE_MENU_DIR', conf.escpath(sub('${DATAROOTDIR}/applications', env)))
+    #define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/pixmaps/${PACKAGE}', env)))
+    define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
+    define('PACKAGE_SOURCE_DIR', conf.escpath(os.path.abspath(srcdir))) # folder where was wscript executed
+
+    common_libs = string.join(
+    '''
+    "gconf-2.0"
+    "gmodule-2.0"
+    "glib-2.0"
+    "libgsf-1 >= 1.14"
+    "libxml-2.0"
+    --cflags --libs'''
+    .split()," ")
+
+    if env['ENABLE_GTK2']:
+        env.append_value('ALL_LIBS', 'LIBGLADE')
+        # We need to know specific versions of GTK+-2.0
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.16",
+                       uselib_store="GTK_216")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.18",
+                       uselib_store="GTK_218")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.20",
+                       uselib_store="GTK_220")
+        conf.check_cfg(package="gtk+-2.0",
+                       atleast_version = "2.24",
+                       uselib_store="GTK_224")
+        common_libs += ' libglade-2.0'
+        common_libs += ' webkit-1.0'
+        if opt.webkit_editor:
+            conf.define('USE_WEBKIT_EDITOR', 1)
+            env['ENABLE_WEBKIT_EDITOR'] = True
+            common_libs += ' "gtk+-2.0 >= 2.24" '
+           # FC15 and Oneiric have this, Natty does not
+        elif conf.check_cfg(modversion='gtkhtml-editor-3.14',
+                          msg='Checking for GNOME3 gtkhtml-editor',
+                          okmsg='Definitely',
+                          errmsg='Probably not'
+                          ):
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor-3.14" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+        else:
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+    else:
+        #

=== debian/changelog ===
xiphos (3.2.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.
  * Switch uscan to sf.net redirector.
  * Unpack waf in get-orig-source target.
  * Bump to debhelper 9.
  * Add uuid-dev build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 12 Jul 2014 17:08:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: xiphos
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                libsword-dev (>=1.5.11),
                gsettings-desktop-schemas-dev | gconf2-common,
                rarian-compat,
@@ -12,12 +12,13 @@
                intltool,
 	       libdbus-glib-1-dev,
 	       libgsf-1-dev,
+	       uuid-dev,
                libxml2-dev
 Section: gnome
 Priority: optional
 Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
-Uploaders: Dmitrijs Ledkovs <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
-Standards-Version: 3.9.3
+Uploaders: Dimitri John Ledkov <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
+Standards-Version: 3.9.5
 Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main
 Vcs-Browser: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main/files
 Homepage: http://xiphos.org

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,24 @@
 	./waf distclean --nocache
 override_dh_clean:
 	find . -name '*.pyc' -delete
+	rm -f src/examples/ipc-interface.xml
 	dh_clean
 override_dh_builddeb:
 	dh_builddeb $(if $(ppa),-- -Zlzma)
+
+# get-orig-source to drop waf
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg1
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
+	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
+	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
+	rmdir $(pkg)-$(dfsg_version)/.waf-*
+	find $(pkg)-$(dfsg_version) -name '*.pyc' -delete
+	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
http://sf.net/gnomesword/xiphos-(.+)\.tar\.gz

## xiphos 4.0.0+dfsg1

=== wscript ===
--- 
+++ 
@@ -17,7 +17,7 @@
 bzrrevno = '$CurRevno$'
 bzrrevid = '$CurRevid$'
 
-VERSION='3.2.2'
+VERSION='4.0.0'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -68,6 +68,10 @@
     miscgroup.add_option('--enable-delint', action='store_true', default=False,
             dest='delint',
             help='Use -Wall -Werror [default: disabled]')
+
+    miscgroup.add_option('--chatty', action='store_true', default=False,
+            dest='chatty',
+            help='Enable lots of tracing [default: disabled]')
 
     miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
             dest='webkit_editor',
@@ -234,8 +238,7 @@
                            msg='Auto detecting gtk 2', mandatory=True)
             opt.gtkver = '2'
 
-    # TODO are these still needed?
-    env['ENABLE_WEBKIT'] = True
+	# FIXME: Find out why we still need this!
     dfn('WEBKIT', 1) 
     
     #gtk
@@ -293,6 +296,9 @@
     #define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/pixmaps/${PACKAGE}', env)))
     define('PACKAGE_PIXMAPS_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
     define('PACKAGE_SOURCE_DIR', conf.escpath(os.path.abspath(srcdir))) # folder where was wscript executed
+    if not env["IS_WIN32"]:
+        # for installing xiphos.appdata.xml
+        define('PACKAGE_APPDATA_DIR', conf.escpath(sub('${INSTALL_PREFIX}/share/appdata', env)))
 
     common_libs = string.join(
     '''
@@ -332,11 +338,3 @@
                           errmsg='Probably not'
                           ):
             common_libs += ' "gtk+-2.0 >= 2.14" '
-            common_libs += ' "gtkhtml-editor-3.14" '
-            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
-        else:
-            common_libs += ' "gtk+-2.0 >= 2.14" '
-            common_libs += ' "gtkhtml-editor" '
-            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
-    else:
-        #

=== debian/changelog ===
xiphos (4.0.0+dfsg1-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1434944)
  * d/rules:
    - During repack, also remove build-win32/ and debian/
    - Set the debug level to 'release'
  * d/control: Bump the libsword-dev dep to 1.7.3.
  * d/xiphos.install: Install usr/bin/xiphos-nav
  * d/xiphos-data.install: Install xiphos.appdata.xml. 

 -- Unit 193 <unit193@ubuntu.com>  Fri, 13 Feb 2015 14:50:57 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: xiphos
 Build-Depends: debhelper (>= 9),
-               libsword-dev (>=1.5.11),
+               libsword-dev (>=1.7.3),
                gsettings-desktop-schemas-dev | gconf2-common,
                rarian-compat,
                libgtkhtml-4.0-dev | libgtkhtml3.14-dev,
@@ -16,7 +16,8 @@
                libxml2-dev
 Section: gnome
 Priority: optional
-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Dimitri John Ledkov <xnox@debian.org>, Jonathan Marsden <jmarsden@fastmail.fm>
 Standards-Version: 3.9.5
 Vcs-Bzr: http://bazaar.launchpad.net/~pkgcrosswire/xiphos/main

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,15 @@
 %:
 	dh $@
 override_dh_auto_configure:
-	./waf configure --nocache --prefix=/usr
+	./waf configure --nocache --prefix=/usr --debug-level=release
 override_dh_auto_build:
 	./waf build --nocache
 override_dh_auto_install:
 	./waf install --nocache --destdir=debian/tmp
 override_dh_install:
 	dh_install --list-missing
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
 override_dh_strip:
 	dh_strip --dbg-package=xiphos-dbg
 override_dh_auto_clean:
@@ -36,5 +38,7 @@
 	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version) -name '*.pyc' -delete
+	rm -rf $(pkg)-$(dfsg_version)/build-win32/
+	rm -rf $(pkg)-$(dfsg_version)/debian/
 	GZIP="-9fn" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
 	rm -rf $(pkg)-$(dfsg_version)

## xiphos 4.0.4%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,34 @@
 #!/usr/bin/make -f
-ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
+
 override_dh_auto_configure:
-	./waf configure --nocache --prefix=/usr --debug-level=release
+	./waf configure --nocache --prefix=/usr --enable-webkit-editor --gtk=3 --debug-level=release
+
 override_dh_auto_build:
-	./waf build --nocache
+	./waf build --nocache --verbose
+
 override_dh_auto_install:
 	./waf install --nocache --destdir=debian/tmp
+
 override_dh_install:
 	dh_install --list-missing
+
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
+
 override_dh_strip:
 	dh_strip --dbg-package=xiphos-dbg
+
 override_dh_auto_clean:
 	./waf distclean --nocache
+
 override_dh_clean:
 	find . -name '*.pyc' -delete
-	rm -f src/examples/ipc-interface.xml
 	dh_clean
-override_dh_builddeb:
-	dh_builddeb $(if $(ppa),-- -Zlzma)
 
 # get-orig-source to drop waf
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')

## xiphos 4.0.4+dfsg1

=== wscript ===
--- 
+++ 
@@ -14,10 +14,7 @@
 import waffles.misc
 import waffles.gnome as gnome
 
-bzrrevno = '$CurRevno$'
-bzrrevid = '$CurRevid$'
-
-VERSION='4.0.0'
+VERSION='4.0.4'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -76,7 +73,11 @@
     miscgroup.add_option('--enable-webkit-editor', action='store_true', default=False,
             dest='webkit_editor',
             help='Use webkit editor [default: disabled]')
-			
+
+    miscgroup.add_option('--enable-webkit2', action='store_true', default=False,
+            dest='webkit2',
+            help='Use webkit2 instead of original webkit [default: disabled]')
+
     miscgroup.add_option('--disable-dbus',
                    action = 'store_true',
                    default = False,
@@ -203,8 +204,8 @@
         env['CXXFLAGS']            = []
         env['CXXFLAGS_OPTIMIZED']  = ['-O2']
         env['CXXFLAGS_RELEASE']    = ['-O2']
-        env['CXXFLAGS_DEBUG']      = ['-g', '-DDEBUG', '-ftemplate-depth-25']
-        env['CXXFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG', '-ftemplate-depth-25']
+        env['CXXFLAGS_DEBUG']      = ['-g', '-DDEBUG']
+        env['CXXFLAGS_ULTRADEBUG'] = ['-g3', '-O0', '-DDEBUG']
     
     if env['IS_WIN32']:
         ## setup for Winsock on Windows (required for read-aloud)
@@ -238,7 +239,7 @@
                            msg='Auto detecting gtk 2', mandatory=True)
             opt.gtkver = '2'
 
-	# FIXME: Find out why we still need this!
+    # FIXME: Find out why we still need this!
     dfn('WEBKIT', 1) 
     
     #gtk
@@ -331,10 +332,8 @@
             conf.define('USE_WEBKIT_EDITOR', 1)
             env['ENABLE_WEBKIT_EDITOR'] = True
             common_libs += ' "gtk+-2.0 >= 2.24" '
-           # FC15 and Oneiric have this, Natty does not
         elif conf.check_cfg(modversion='gtkhtml-editor-3.14',
                           msg='Checking for GNOME3 gtkhtml-editor',
                           okmsg='Definitely',
-                          errmsg='Probably not'
-                          ):
-            common_libs += ' "gtk+-2.0 >= 2.14" '
+                          errmsg='Probably not',
+                          mandatory=True

=== debian/changelog ===
xiphos (4.0.4+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream release. (Closes: #783556)
    - Fixes many GTK3 incompatibilities. (Closes: #770713, #769940)
  * Bump Standards-Version to 3.9.6.
  * wrap-and-sort.
  * d/control:
    - Drop gsettings-desktop-schemas-dev | gconf2-common, and libgtkhtml*
      Closes: #799018
    - Add docbook-utils, libbiblesync-dev, and libgtk-3-dev.
    - Bump libsword-dev min dep to 1.7.3.
    - Add myself to uploaders.
  * d/rules:
    - During repack, also remove build-win32/ and debian/
    - Remove the builddeb override, not needed.
    - Install upstream changelog.
    - Enable --verbose build.
    - Pass --enable-webkit-editor, --gtk=3 and --debug-level=release.
    - Set DEB_LDFLAGS_MAINT_APPEND to only link as needed.
    - Don't remove src/examples/ipc-interface.xml in the cleaning stage.
  * d/Debian, d/clean, d/README.*: Drop.
  * d/source.lintian-overrides: Remove debian-watch-file-should-mangle-version.
  * d/watch: Update to find new releases, and filter out testing releases.
  * d/xiphos.install: Install usr/bin/xiphos-nav
  * d/xiphos-data.install: Install xiphos.appdata.xml.

  [ Daniel Glassey ]
  * d/control: Vcs now pkg-crosswire git
               add myself as uploader
               remove xnox and Jonathan from uploaders
               type in xiphos-dbg description   
  * New release for sword transition. (Closes: #801891)

 -- Daniel Glassey <wdg@debian.org>  Mon, 19 Oct 2015 21:31:23 +0100

=== debian/control ===
Source: xiphos
Section: gnome
Priority: optional
Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Unit 193 <unit193@ubuntu.com>,
           Daniel Glassey <wdg@debian.org>
Build-Depends: debhelper (>= 9),
               docbook-utils,
               gnome-doc-utils,
               intltool,
               libbiblesync-dev,
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgsf-1-dev,
               libgtk-3-dev,
               libsword-dev (>= 1.7.3),
               libwebkitgtk-3.0-dev | libwebkitgtk-dev,
               libxml2-dev,
               rarian-compat,
               uuid-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-crosswire/xiphos.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-crosswire/xiphos.git/
Homepage: http://xiphos.org

Package: xiphos
Architecture: any
Depends: xiphos-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: xiphos-data
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: environment for Bible reading, study, and research
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package provides the main Xiphos program, a digital text reader with
 bookmarks and full-text search. It allows viewing multiple versions of the same
 text, for parallel reading of alternatives or translations. It also supports
 personal verse-specific notes and a rich-text study pad, both of which have
 spell checking and full-text search.
 .
 Xiphos has a built-in facility to browse and install freely-distributed content
 from CrossWire repositories.

Package: xiphos-dbg
Priority: extra
Section: debug
Architecture: any
Depends: xiphos (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: xiphos-svn
Provides: sword-frontend
Suggests: sword-text
Description: debug symbols for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains debugging symbols that are necessary to produce
 stacktraces of Xiphos.

Package: xiphos-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: xiphos-svn
Suggests: xiphos
Description: data files for Xiphos Bible study software
 Xiphos is a Bible study program for the GNOME desktop environment, based on The
 SWORD Project by the CrossWire Bible Society, a framework for developing Bible
 study tools and of associated texts such as commentaries and dictionaries.
 .
 This package contains the data files that are necessary to use Xiphos.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
http://sf.net/gnomesword/xiphos-([\d\.]+)(?:-[\d]+)?\.tar\.gz

## xiphos 4.0.7+dfsg1

=== wscript ===
--- 
+++ 
@@ -14,7 +14,7 @@
 import waffles.misc
 import waffles.gnome as gnome
 
-VERSION='4.0.4'
+VERSION='4.0.7'
 
 APPNAME='xiphos'
 PACKAGE='xiphos'
@@ -288,7 +288,7 @@
 
     define('INSTALL_PREFIX', conf.escpath(sub('${PREFIX}/', env)))
     #dfn('LT_OBJDIR', '.libs') - what's the purpose?
-    define('PACKAGE_BUGREPORT','http://sourceforge.net/tracker/?group_id=5528&atid=105528' )
+    define('PACKAGE_BUGREPORT','https://github.com/crosswire/xiphos/issues' )
     define('PACKAGE_DATA_DIR', conf.escpath(sub('${DATAROOTDIR}/${PACKAGE}', env)))
     define('PACKAGE_DOC_DIR', conf.escpath(env['DOCDIR']))
     define('PACKAGE_HELP_DIR', conf.escpath(sub('${DATAROOTDIR}/gnome/help/${PACKAGE}', env)))
@@ -314,18 +314,6 @@
     if env['ENABLE_GTK2']:
         env.append_value('ALL_LIBS', 'LIBGLADE')
         # We need to know specific versions of GTK+-2.0
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.16",
-                       uselib_store="GTK_216")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.18",
-                       uselib_store="GTK_218")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.20",
-                       uselib_store="GTK_220")
-        conf.check_cfg(package="gtk+-2.0",
-                       atleast_version = "2.24",
-                       uselib_store="GTK_224")
         common_libs += ' libglade-2.0'
         common_libs += ' webkit-1.0'
         if opt.webkit_editor:
@@ -337,3 +325,17 @@
                           okmsg='Definitely',
                           errmsg='Probably not',
                           mandatory=True
+                          ):
+            common_libs += ' "gtk+-2.0 >= 2.14" '
+            common_libs += ' "gtkhtml-editor-3.14" '
+            common_libs += ' "libgtkhtml-3.14 >= 3.23" '
+    else:
+        common_libs += ' "gtk+-3.0" '
+        conf.define('USE_GTK_3', 1)
+        conf.define('USE_GTKBUILDER', 1)
+        if opt.webkit_editor:
+            conf.define('USE_WEBKIT_EDITOR', 1)
+            env['ENABLE_WEBKIT_EDITOR'] = True
+            common_libs += ' "webkitgtk-3.0" '
+        else:
+            if conf.check_cfg(modversion='libgtkhtml-4.0',

=== src/examples/Makefile ===
interface_xml := ../gnome2/ipc-interface.xml

pkg_packages := dbus-1 dbus-glib-1

PKG_CFLAGS := $(shell pkg-config --cflags $(pkg_packages))
PKG_LDFLAGS := $(shell pkg-config --libs $(pkg_packages))

ADD_CFLAGS := -g -Wall -DG_DISABLE_DEPRECATED

CFLAGS := $(PKG_CFLAGS) $(ADD_CFLAGS) $(CFLAGS)
LDFLAGS := $(PKG_LDFLAGS) $(LDFLAGS)

cleanfiles := ipc-client-stub.h

targets = client

.PHONY: all clean
all: $(targets)

client: receive.o
	$(CC) $^ -o $@ $(LDFLAGS)

receive.o: ipc_client.c ipc-client-stub.h
	   $(CC) $(CFLAGS) -DPROGRNAME=\"ipc_client\" -c $< -o $@

ipc-client-stub.h: $(interface_xml)
		   dbus-binding-tool --prefix=ipc_object --mode=glib-client \
		   $< > $@

clean:
	$(RM) $(targets) $(cleanfiles) *.o

=== debian/changelog ===
xiphos (4.0.7+dfsg1-1build2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 13:56:29 +0000

xiphos (4.0.7+dfsg1-1build1) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:31:31 +0000

xiphos (4.0.7+dfsg1-1) unstable; urgency=medium

  [ Unit 193 ]
  * New upstream version 4.0.7+dfsg1.
    - Work around a FTBFS by passing -z,muldefs to the linker.
      (Closes: #872916)
  * Bump Standards-Version to 4.1.0.
  * d/docs: README → README.md
  * d/compat, d/control: Bump debhelper compat to 10.
  * d/control:
    - xiphos: Add breaks on xiphos-data due to file move.
    - Drop the xiphos-dbg package.
    - Sort uploaders.
  * d/repack-waf, d/rules, d/watch:
    - Switch from get-orig-source target to repack script for waf.
  * d/repack-waf: Remove win32/ as well.
  * d/rules:
    - Migrate to dbgsym packages.
    - Move from dh_install --list-missing to dh_missing --list-missing.
  * d/watch: Update to use GH releases.
  * d/xiphos(,-data).install: Move xiphos.appdata.xml to the right package.

  [ Dominique Corbex ]
  * simplifying d/rules:
    - No longer export BUILDFLAGS.
    - Don't include /usr/share/dpkg/buildflags.mk
  * Lintian cleanup:
    - Bump Standards-Version to 3.9.8.
    - d/rules: add hardening options
    - d/control: Securing Vcs-Git URL
  * d/xiphos.manpages: Install new upstream manpage for xiphos-nav.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 16 Sep 2017 10:11:37 -0400

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	./waf configure --nocache --prefix=/usr --enable-webkit-editor --gtk=3 --debug-level=release

override_dh_auto_build:
	./waf build --nocache --verbose

override_dh_auto_install:
	./waf install --nocache --destdir=debian/tmp

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_missing:
	dh_missing --list-missing

override_dh_strip:
	dh_strip --dbgsym-migration='xiphos-dbg (<< 4.0.5+dfsg1-1~)'

override_dh_auto_clean:
	./waf distclean --nocache

override_dh_clean:
	find . -name '*.pyc' -delete
	rm -f 'src/examples/ipc-interface.xml'
	dh_clean
